What's new in Quick 'n Easy Web Builder 4.0?

Responsive Web Design
- New feature: Added support for responsive styles in Style Manager. Sometimes you want to use a different font, text size or color in breakpoints. For example use a larger font for smaller screens. With Responsive Styles you can define different values for breakpoints.
- New feature: Responsive styles in objects. Most objects now can have different fonts in breakpoints. Most objects can also have different backgrounds and text colors. Some objects like the photo gallery, text and the blog can have different columns in breakpoints.
Which properties of an object are responsive is documented in the help.
- New feature: Responsive background styles in pages. You can configure different background properties for breakpoints, so a mobile layout can have a different background color or image.

Layout Grid
- New feature: Layout Grid. The Layout Grid can be used to create flexible multi column layouts that automatically adapt to the screen size. A grid can have up to 12 columns, with sizes in percentages. Objects that are dragged into a grid will automatically become floating.
For smaller (mobile) screens all columns are stacked based on the defined breakpoint. 
This is a great new way to create flexible and responsive (Bootstrap-like) layouts!

Most WWB objects have been redesigned to take advanced of the layout grid.
For example, if an image is dragged into the layout grid then it will automatically become responsive: it uses the full width of the cell while keeping its aspect ratio. Text will always use the full width of the grid cell and YouTube videos can be configured to keep a 16:9 or 4:3 ratio while stretching.

The grid can be configured as fixed or fluid layout. A fixed grid will have the design time width and be centered in the browser window. A fluid grid will use the full width of the browser window and resize all cells accordingly.

Lazy Loading
- New feature: Lazing loading. Enable this option to delay the loading of images until they are visible in the view port. This will speed up the page loading. It also prevents loading large images in mobile devices because only the visible images will be downloaded.
Lazy loading is currently available for the Image object, Photo Gallery, Rollover Image and Rollover text.

FontAwesome Icon
- New feature: Added 'FontAwesome Icon' object to easily add awesome (vector) icons. 
The object supports hover, backgrounds, events, links, CSS3 animations and much more.
 
Layer Menu
- New feature: Layer Menu. 
A Layer Menu is an advanced menu where the drop down menus are layers. This is great for creating advanced mega menus with images, text, form or any other object! The drop down layer can be positioned left, centered or at the right of the buttons. It is also possible to make the layer full width of the page.

Breadcrumb
- New feature: Added 'Breadcrumb' navigation. 
Breadcrumbs are used to enhance the accessibility of a website by indicating the location using a navigational hierarchy.
You can either manually configure all links for the menu or automatically synchronize with Site manager. Also supports FontAwesome icons.

Pagination
- New feature: Added 'Pagination' navigation. 
If you have a web site with lots of pages, you may wish to add the pagination object for easier navigation. You can either manually configure all links for the menu or automatically synchronize with Site manager. In that case the menu will automatically generate links with auto numbering and next/previous buttons. 
This menu also works with the Content Management System.

Responsive Menu
- New feature: Added 'Responsive Menu' object. 
This is a responsive, multi-level menu optimized for desktop computers and mobile (touch) devices which uses CSS only (no JavaScript!). On desktop computer the menu will display a standard drop down menu and on mobile devices it will display a multi-level stacked menu with the common ‘hamburger’ icon. The menu supports FontAwesome icons, ScrollSpy and Affix to give your website a modern look and feel.

ScrollSpy
- New feature: ScrollSpy is a navigation mechanism that automatically highlights the navigation buttons based on the scroll position to indicate the visitor where they are currently on the page.  This feature works in combination with bookmarks.
ScrollSpy is available for CSS Menu, Navigation Menu, Mega Menu, Slide Menu, Tab Menu, Panel Menu, Responsive Menu and Text Menu.

Affix
- New feature: Added Affix option to navigation objects.
The Affix functionality is often used with navigation menus to make them "stick" at a specific area while scrolling up and down the page.
Affix is available for CSS Menu, Navigation Menu, Mega Menu, Slide Menu, Tab Menu, Responsive Menu and Text Menu.

Heading
- New feature: Added a dedicated 'Heading' object. 
This is a quick way to add headings (<h1>, <h2>) without using styles. Each heading object can have its own fonts/size/color!
 
Blog
The blog has been redesigned to make it much more powerful. It’s now a great way to quick create lists or (responsive) grids for all types of data.
- New feature: Added 'Layout' option. This controls the appearance of the blog items. Includes more than 10 different layouts! More layouts will be available as an add-on package. You can also create your own layouts (with HTML/CSS templates)
- New feature: Added ‘Carousel’ option to the Blog. When this option is active the blog items will be displayed in a (responsive) Carousel!
- New feature: Item links now support target (new window, lightbox, popup etc), URL parameters, title, mailto, SMS, phone number, file etc.
- New feature: Added text alignment.
- New feature: Added line-height property.
- New feature: Added option to specify the image width.
- New feature: Added the ability to display items in columns. This option is responsive so each breakpoint can have different number of columns.
 
Parallax
- New feature: Added 'parallax' background mode to Layers, Forms, Layout Grid and other objects. The background image scrolls slower than the content in the foreground, creating the illusion of 3D depth.
 
Label
The HTML Label Element (<label>) represents a caption for an item in a form (editbox, textarea, combobox, checkbox, radio button, file upload). The <label> element provides a usability improvement for mouse users, because if the user clicks on the text within the <label> element, it toggles the control. Screen readers and 'voice browsers' use the label to identify and use form inputs.

Smart Guides
- New feature: Added 'Smart Guides'. Smart guides are guidelines that appear when you move objects into alignment with each other. Smart guides also works when objects are aligned centered or in the center of the page.

General
- Improved: The Linux version now also generates real transparent (alpha) images for shapes, polygons etc. This also affects Carousel navigation, menubar arrows and other dynamically generated images.
- New feature: Added 'Apple Touch Icon' option in Page Properties. When someone bookmarks your web page or adds your web page to their phone's home screen this icon is used. 
- New feature: Added 'Set page width and height to 100% ' alignment option in Page Properties. This option is for use in combination with the new ‘Full screen’ floating layer mode.
- New feature: Added 11 new gradient background styles: Radial Top, Radial Right, Radial Bottom, Radial Left, Radial Top Left, Radial Top Right, Radial Bottom Left, Radial Bottom Right, Pipe Vertical, Pipe Horizontal and Shiny Glass.
- New feature: Synchronize with Site Manager in navigation objects. When this option is enabled, Web Builder automatically synchronizes the item with the content of the Site Manager. For example when you add a new page, then a button is automatically added to the Navigation bar or if you rename a page the text of the button will also be updated.
- New feature: Added the ability to clone folders in the Site Manager.

HTML
- New feature: Added an option to put all page specific scripts in an external (JS) file.
- New feature: Added 'Move JavaScript to the end of the page'. This will place all scripts at the end of the page.
- New feature: Added JavaScript minify option. Removes all whitespaces and line feeds from the code (Tools->Options->HTML->JavaScript formatting)
- New feature: Added HTML minify option (Tools->Options->HTML->HTML formatting)
This option can be used to reduce the size of the generated HTML and may improve the performance of the page.

- New feature: Added CSS formatting options: beautify, compact and minify. 
(Tools->Options->HTML->CSS formatting)

- New feature: Added the ability to insert code inside the <html> tag. 
In Page HTML or via an HTML object.
 
Image
- New feature: Added 'Padding' to Image object.
- New feature: Added Retina support. You can specify an (optional) high-resolution version of the image.
- New feature: Added ‘Full width’ option. Specifies whether the image is full width (responsive) of its container (layout grid). If set to false, the image uses the fixed size.
- New feature: Added ‘Maximum width’ option. Specifies the maximum size of the image when it is set to full width. This prevents the image from getting too large in responsive layouts. 
 
Text
- New feature: Added 'Responsive fonts' option. This make it possible to use different fonts in breakpoints.
 
Ready-to-use-JavaScripts
- New feature: Added 'Facebook Page Plugin' script.
 
MenuBar
- The menubar has been redesign. It no longer uses 'fixed' themes, but now they can be fully customized with the WWB menu editor. There are more than 50 predefined templates available.
- New feature: Added 'Click to open submenus' option. Specifies whether the user needs to click to open sub menus, instead of hover/mouseover. Recommended for touch screen devices where there is no mouse (so the menu won't open on hover)
- New feature: Border color and width can now be set for all normal and hover state.
- New feature: Added support for gradients and pattern backgrounds
- New feature: Added left and right margin styling in main and sub menus. This makes it possible to give the left/right margin a different background style.
- New feature: Margin can have a 'shape' to indicate that the item has sub items. This is usually an 'arrow' but you can use any of the built-in shapes!
- New feature: Added border style for items. Include a special 'separator only' style which adds a single line between all items.
- New feature: Added 'Shadow' option for sub menus.
- New feature: Sub menus can now have different font.
- New feature: Added the ability to choose a different character for the horizontal divider.
- New feature: Added sub menu offset (x,y) options.

Slide Menu
- New feature: Added 'Full width' option to Slide Menu. If the menu is part of a layout grid then it will use the contianer width. Also expanding the menu will push all elements below it downwards.

Panel Menu
- New feature: Added support for FontAwesome icons in menu items. 
- New feature: Added overlay option (color and opacity). This fades the page background when the menu is active.
 
Bookmarks/Anchors
- Improved: Replaced 'name' attribute with 'id'. The 'name' attribute is obsolete in HTML5.
- New feature: Added 'onscrollreveal' and 'onscrollhide' events to Bookmark object. This makes it possible to trigger actions based on the scroll positio
- New feature: Added ‘Smooth Scroll’ functionality. When link to a bookmark is clicked the page will scroll smoothly to the bookmark, optionally with easing effects. 
  
Links
- New feature: Added 'transition' option to hyperlink styles to animate color changes of links.
- New feature: Added 'text-shadow' option to hyperlink styles.
- New feature: Added link decoration (underline) animation to hyperlink styles. 
 
Form Wizard
- Improved:  The Form Wizard now creates label objects instead of standard text.

Editbox, TextArea
- New feature: Focus state. Removes the default outline styles and applies a box-shadow (with customizable color) in its place. 
- New feature: Added "Auto focus' option.
 
Combobox
- New feature: Added Focus state. 
- New feature: Added "Auto focus' option.
 
Photo Gallery
- Improved: Gallery now uses CSS instead of tables.
- Improved: Transitions are now applied to individual images instead of the entire gallery. Great for implementing cool animated hover effects.
- New feature: Added 'Responsive' option for thumbnail size. When this option is selected the gallery can have a different number of columns in breakpoints! The images in the gallery will be responsively resized based on the available space. This means for example that when the gallery is inside a layout grid that it can be full width. Or use a percentage of the screen size width.
- New feature: Added support for Lazy Loading.
- New feature: Added 'Text padding' option (replaces the confusing 'cell spacing' option).
- New feature: Added the ability to set a description for images.
- New feature: Added Bootstrap frame style to create Bootstrap-like thumbnail images.

Carousel
- New feature: Each slide can now have its own background. For example each slide can have another image, in combination with the full width mode this is perfect for advanced full width slideshows!
- New feature: Added 'Full width mode' to the Carousel. 
- New feature: Add ‘Full width and floating’ option. This makes it possible to use the Carousel as part of a floating layout. For example, in combination with layout grids or floating layers.
           
Slide Show
- New feature: Added "News Paper' animation. 
- New feature: Slideshow can now be used as 'Random Image'. Set Type to 'Random' and 'Pause time' to '0'
- New feature: Added ‘Full width’ option. Specifies whether the slideshow is full width (responsive) of its container (layout grid). If set to false, the slideshow uses the fixed size. Also works for Conveyor Belt mode.
- New feature: Added support for captions/titles

Layer
- Improved: Relative layers now use floating point numbers in percentages to reduce rounding errors.
- New feature: Added 'Box Sizing' property. The box-sizing property is used to tell the browser what the sizing properties (width and height) should include. Should they include the border-box or just the content-box (which is the default value)? The 'border-box' option is especially useful for full width layers, where you usually want the border inside the viewport. With content-box the border size will be added to the total width (> 100%).
- New feature: Added 'Enable backdrop' option for Modal Layer. Specifies whether the background overlay is enabled.
- New feature: Added 'Close on escape' for Modal Layer. Specifies whether pressing the 'esc' key will close the modal layer.
- New feature: Added 'Display close button' for Modal Layer. Specifies whether the default close button should be displayed. 
- New feature: Added 'Animation' option for Modal Layer. Specifies whether animation is used to show/hide the modal layer: None, Fade or Slide.
- New feature: Added Bootstrap modal layer support. Unlike the jQuery UI option this one is responsive! If specified, the title of the layer will be used in the header. 
- New feature: Added ‘Full Screen’ floating mode. This will set the width/height of the layer to 100% of the current view port. This can be useful for creating full screen/single page web sites. See the new demo templates for more details.
- New feature: Added 'Relative sizing' option to Floating layer. 
- New feature: Added the ability to use a Layer, Layout Grid and Page Header/Footer as Bookmark. This can be useful for flexible/full width layouts. In the new 'Bookmark' property section you can set animation properties just like a regular bookmark!
 
CSS3 Animations
- New feature: Added new CSS3 animations: 
•	newspaper; a great effect from the movies;)
•	fall; simulates a ‘falling’ object.
•	side fall; simulates an object falling from the side.
•	transform-3d-sign; object slides into view from the background.
•	super-scaled-in; Scale (2x) and fade an object into view.
•	super-scaled-out; Scale (2x) and fade an object out of view.
 

Login Tools
- Improved: Added Unicode support.
- New feature: Added the ability to change the Login Admin title.
- New feature: Added responsive layout mode. In this mode input fields have 100% width (instead of a fixed size), so it can have a different size in breakpoints.
- New feature: All input fields are now <label> tags (instead of standard text).
- New feature: Added option 'Use place holders instead of labels'. Enabling this option results in a cleaner layout.
- New feature: Added 'padding' option to text input fields, button and title.
- New feature: Added 'alignment' to title.
- New feature: Added border-radius option to input fields and buttons.
- New feature: Focus state. Removes the default outline styles and applies a box-shadow (with customizable color) in its place.
 
Rollover Image
- New feature: Added new animation: Newspaper

Rollover Text
- New feature: Added new animation: Fall In. Rotate and translate text on hover
- New feature: Added new animation: Revolving Door. 3D transform on hover
- New feature: Added new animation: Translate Left/Right. Translate and scale image to reveal text on hover
- New feature: Added new animation: Tunnel. Scale and fade image on hover
- New feature: Added new animation: Reveal. Pushes the image up or down to reveal the text. Supports easing.
 
YouTube
- Removed: Options deprecated by YouTube (colors, theme and version) have been removed.
- Improved: Added playlist parameter in YouTube when using loop option.
- New feature: Added 'Aspect ratio' option. Keep the aspect ratio of the video fixed at 16:9 or 4:3. This is especially useful when the video is party of a Layout Grid, so the video resizes dynamically while keeping the original aspect ratio.
When used in combination with 'Fill entire browser window' this will crop the video to cover the entire background. Note: this option is also available for: Vimeo and HTML5 video.
- New feature: Added 'Custom parameters' to add extra features which are not implemented in WWB (yet). For a complete list of available options please check the YouTube API documentation: https://developers.google.com/youtube/player_parameters.

jQuery General
- Upgraded to jQuery 1.12.3 and 2.2.3. 
- New feature: Added the ability to control the border-radius for individual jQuery UI widgets (replaces global theme radius)

jQuery Date Picker
- New feature: Added 'flexible' mode. This option makes the date picker size flexible, so it can have different sizes in different breakpoints.

jQuery ProgressBar
- New feature: Add 'Indeterminate' option. Enable this option to display an (animated) indeterminate progress bar.
 
jQuery Tab
- New feature: Added new layout modes to give the tab widget a different appearance.
•	Remove header background
•	Remove entire header
•	Tabs like button

Error Reports
- New feature: Error reports checks whether IDs starts with a letter (ID cannot start with digits or dashes).

Lightbox
- New feature: Added support for Magnific Popup. Magnific Popup  is a responsive gallery with a modern look that can be used in the SlideShow, Photo Gallery, YouTube, Vimeo, Inline frame. 
Magnific Popup can also be used as a replacement for the default Fancybox lightbox which is used in links. This can be configured in the Page Properties.

Object Manager
- New feature: Added ‘Reset Position’ to context menu of Object Manager. This option can be useful in breakpoints when you have ‘lost’ an object because it’s outside the viewport. ‘Reset Position’ moves the object to the upper left corner of its container.

Site variables 
- New feature: Added 'Site variables' to Page menu. Variables will be replaced during publishing by the specfified value. Great to quickly update the copyright or other values that frequently change. Siter vriable can also be used to override a few built-in global settings ($PARALLAX_SPEED$, $GOOGLEFONTS_PREFIX$, $VIMEO_PREFIX$, $LAZYLOAD_THRESHOLD$, $LAZYLOAD_FADE$).

Google fonts
- New feature: Added $GOOGLEFONTS_PREFIX$ site variable. This makes it possible to overwrite the 'http:' prefix. You can replace it with 'https:' or leave the value empty.

Vimeo
- New feature: Added $VIMEO_PREFIX$ site variable. This makes it possible to overwrite the 'http:' prefix. You can replace it with 'https:' or leave the value empty.

Forms
- Improved: If 'Accept Charset' of a form is set to UTF-8 then mysql_set_charset('utf8') will be added to MySQL database code.
- New feature: Added PHP7 option in Page Properties->Miscellaneous->PHP version. This will make PHP mail compatible with PHP7. This affects forms and the login tools.

reCAPTCHA
- New feature: Added support for reCAPTCHA 2 (I'm not a robot). 

07/21/2016 - Version 4.1
- Fixed: Duplicated images in Slide Show lightbox
- Fixed: Carousel forward-circular/backward-circular now also works in full width/responsive mode.
- Fixed: Several Layout grid issues.
- Fixed: Removed 'position:absolute' for slideshow/lightbox in layout grid.
- Fixed: Size issue with custom profile fields (option) in Signup object.
- Fixed: Issue with responsive columns in Photo Gallery.
- Improved: Full width SlideShow now takes margin and padding of its container into account when calculating image widths.
- Improved: Removed chmod 777 from fomr processor file upload code.
- Improved: Floating layers use display:none instead of visibility:hidden.
- Improved: Added developers API key property to Google Maps Key. More details here: http://www.wysiwygwebbuilder.com/support/googlemaps2016.html
- New feature: Added background and border properties to Layout grid.
- New feature: Added 'start' and 'stop' actions to the Carousel and SlideShow. This makes it possible to start/stop the slideshow with events.
- New feature: Added 'Close menu on link click' to Responsive Menu and Panel menu. 
- New feature: Added spacing and pagination size option to Blog Carousel.
- New feature: Now includes FontAwesome 4.6 with 49 new icons.
- New feature: Added 'offset' option to smooth scrolling in bookmark and layers (incl. layoutgrid, header/footer)
- New feature: Added floating mode to Content Place Holder (overflow->floating). This makes it possible to use the master frames in combination with the layout grid! For more details see the updated master frame tutorial: http://wysiwygwebbuilder.com/master_frame.html

07/28/2016 - Version 4.1.1
- Fixed: Carousel copy/paste problem.
- Fixed: Issues with Responsive Menu.
- Fixed: Duplicated options with PayPal buttons in Layout Grid.
- Improved: Added support for transparency to Carousel pagination icons under Linux.

08/28/2016 - Version 4.1.2
- Fixed: Issue with solid background in Logo (Windows).
- Fixed: W3C validation error in Responsive Menu.
- New feature: Added transparant background option to Logo. Note that this works best when the output for is set to 'CSS'.
- New feature: Added 'Center in Page' to contex menu of objects.

09/08/2016 - Version 4.1.3
- Fixed: Floating layers height issue.
- Fixed: Columns in nested layout grid inherit background from container if column background is transparent.
- Improved: PayPal custom image can now be smaller than the image size.
- Improved: Using images with padding in layout grid adds 'border-box'.
- Improved: Several improvements related to responsive text.

11/22/2016 - Version 4.1.4
- Fixed: jQuery Button size in Layout Grid.
- Fixed: Heading object does not save gradient style.
- Improved: Google fonts can now also be used in the Panel menu.
- Improved: Wrapping text is now (semi) responsive so the object can be used in breakpoints with different layouts and font sizes! Note that this is impossible to do with standard HTML code so WWB generates different text elements for each breakpoint and toggle the visibility automatically to simulate responsive behavior.

12/21/2016 - Version 4.2.0
- New feature: Added 'Fill entire browser window' option to HTML5 video to use the video as page background.
- New feature: Now includes FontAwesome 4.7 with 41 new icons.

01/02/2017 - Version 4.2.1
- Update: Now includes PHPMailer 5.2.21. This is a critical security update. Everyone who is using PHP mailer in their forms should update as soon as possible! Read more: https://github.com/opsxcq/exploit-CVE-2016-10033

02/14/2017 - Version 4.2.2
- Fixed: Some styles changes may not be detected in breakpoints, if the breakpoints values are not sorted. 
- Improved: Minor tweaks in Ken Burns effect of the SlideShow.

03/14/2017 - Version 4.2.3
- Fixed: ssl/tls implementation in form processor script.
- Fixed: Crash when using Ctrl-Copy with blog
- Fixed: Responsive Menu icons disappear in master page.

03/30/2017 - Version 4.2.4
- Fixed: jquery.ui.effect-size.min.js error message.
- Improved: Line can now have different height when it's used in a Layout Grid with breakpoints.

05/07/2017 - Version 4.2.5
- Fixed: Paste command does not refresh Object Manager list.
- Fixed: Object Manager ignores object order in Layout Grids.
- Fixed: Responsive Menu ignores font setting in mobile mode.
- Improved: Asset Manager now includes background images of all breakpoints.

06/07/2017 - Version 4.2.6
- Fixed: Issue with background images in templates and breakpoints.
- Fixed: Lines which are part of a Page Footer but not within the viewport do affect the page size.
- Improved: Insert mode has been fine-tuned. Objects will now also be inserted if the drawn rectangle is too small (eg. two clicks on the same position)

08/17/2017 - Version 4.2.7
- Fixed: Stack overflow when using large amounts of text.